import {
  request
} from '../_utils/request';

/** 获取热门表情包分类列表 */
export function getHotEmotionCategoryList() {
  return new Promise((resolve, reject) => {
    request({
      url: `EmotionCategoryApi/getHotEmotionCategoryList`,
      method: 'GET',
      success: function (res) {
        resolve(res);
      },
      fail: function (error) {
        reject(error);
      }
    });
  });
}

/** 获取表情包分类列表 */
export function getEmotionCategoryList() {
  return new Promise((resolve, reject) => {
    request({
      url: `EmotionCategoryApi/getEmotionCategoryList`,
      method: 'GET',
      success: function (res) {
        resolve(res);
      },
      fail: function (error) {
        reject(error);
      }
    });
  });
}

/** 获取表情包列表 */
export function getEmoticonDataList(parm) {
  return new Promise((resolve, reject) => {
    request({
      url: `EmoticonDataApi/getEmoticonDataList`,
      method: 'GET',
      data: parm,
      success: function (res) {
        resolve(res);
      },
      fail: function (error) {
        reject(error);
      }
    });
  });
}